%define module	String-Approx
%define name	perl-%{module}
%define version	3.23
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl extension for approximate matching (fuzzy matching)
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Buildrequires:	perl-devel

%description
String::Approx lets you match and substitute strings approximately. With this
you can emulate errors: typing errorrs, speling errors, closely related
vocabularies (colour color), genetic mutations (GAG ACT), abbreviations
(McScot, MacScot).

NOTE: String::Approx has been designed to work with strings, not with text. In
other words, when you want to compare things like text or source code,
consisting of words or tokens and phrases and sentences, or expressions and
statements, you should probably use some other tool than String::Approx, like
for example the standard UNIX diff(1) tool, or the Algorithm::Diff module from
CPAN, or if you just want the Levenshtein edit distance (explained below), the
Text::Levenshtein module from CPAN. See also Text::WagnerFischer and
Text::PhraseDistance.

The measure of approximateness is the Levenshtein edit distance. It is the
total number of "edits": insertions,
       word world
 
deletions,
       monkey money
 
and substitutions
       sun fun
 
required to transform a string to another string. For example, to transform
"lead" into "gold", you need three edits:
       lead gead goad gold
 
The edit distance of "lead" and "gold" is therefore three, or 75%.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc Artistic BUGS COPYRIGHT COPYRIGHT.agrep ChangeLog LGPL PROBLEMS README README.apse
%{perl_vendorarch}/auto/String
%{perl_vendorarch}/String
%{_mandir}/*/*

%changelog
* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.23-2mdk
- fixed dir ownership (distlint)

* Mon Dec 15 2003 Guillaume Rousse <guillomovitch@mandrake.org> 3.23-1mdk
- first mdk release
